<template>
  <unauth-layout>
    <template #title>
      Войти
    </template>

    <form @submit.prevent="submit">
      <div class="form-field">
        <label for="email">Почта</label>
        <input-text
          id="email"
          v-model="email"
          label="Почта"
          type="text"
          autocomplete="email"
        />
      </div>
      <div class="form-field">
        <label for="password">Пароль</label>
        <input-text
          id="password"
          v-model="password"
          autocomplete="current-password"
          label="Пароль"
          type="password"
        />
      </div>
      <div>
        <prime-button type="submit">
          Подтвердить
        </prime-button>
      </div>
      <div>
        <router-link tag="prime-button" :to="'/forgot-password'">
          <prime-button
            type="button"
            class="p-button-link"
          >
            Забыли пароль?
          </prime-button>
        </router-link>
      </div>
      <div>
        <router-link tag="prime-button" :to="'/sign-up'">
          <prime-button type="button" class="p-button-link">
            Регистрация
          </prime-button>
        </router-link>
      </div>
    </form>
  </unauth-layout>
</template>

<script>
import { defineComponent } from '@vue/runtime-core';
import PrimeButton from 'primevue/button/Button.vue';
import InputText from 'primevue/inputtext/InputText.vue';
import { login } from '@/api/handler/login';
import UnauthLayout from '@/layout/UnauthLayout.vue';

export default defineComponent({
  name: 'login',
  components: {
    InputText,
    PrimeButton,
    UnauthLayout,
  },
  data() {
    return {
      email: '',
      password: '',
    };
  },
  methods: {
    async submit() {
      const res = await login({ email: this.email, password: this.password });

      if (res.__state === 'success') {
        this.$router.push({ name: 'projects' });
      }
    },
  },
});
</script>
